;------------------------------------------------------------------------------
; Z1013 MEGA-ROM-Modul (2.5M-Modul)
; (c) V. Pohlers 2011
;------------------------------------------------------------------------------
; vorletzter Schritt
; Zusammensetzen des ROMs fr das Mega-Modul
;------------------------------------------------------------------------------

        cpu 96C141			; Mikrocontroller mit groem Adressbereich
        maxmode on			; der Z80 reicht hier nicht.

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

; MACRO a d d z 8 0 f i l e  fr Z80-Programme

; file ist der Filename

; 2800h = 10K = Gre einer Bank
	
addz80file	macro fileXname

		align	0020h	
		BINCLUDE  fileXname

		endm

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

startbank: equ 0

; die Systembank mit der Megamodul-Software
	BINCLUDE "bank0.bin"

packedCode_start equ $

	align 2800h		; neue Bank

; die z80-Files
	addz80file "soft1/Z1013-DVU2_A000.z80"
	addz80file "soft1/Z1013-HeaderUSB_E000.z80"
	addz80file "soft1/moner_su_1_31.z80"

; weitere z80-Files. Die (auto. erzeugte) Includ-Datei enthlt wahllos Programme  
; und ist eigentlich nur zum Testen der Megamodul-Software gedacht
; vielleicht findest sich mal jemand, der hier ein sinnvolles Software-Paket
; zusammenstellt ...
	include	"z80files.inc"

hier 	equ $
	SHARED hier

;; Ende
	org 280000h-1
	db 0ffh

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

        end
