;------------------------------------------------------------------------------
; Z1013 MEGA-ROM-Modul (2.5M-Modul)
; (c) V. Pohlers 2011
;------------------------------------------------------------------------------
; Bank0: Men
;------------------------------------------------------------------------------

		include	z1013.asm

		CPU 	z80

VERSIONSDATUM	equ	DATE

		org 	0c000h

		; Systemsoftware umkopieren
		ld	hl, hd_start
		ld	de, 0bc00h
		ld	bc, hd_ende-hd_start
		ldir
		; in Sprungverteiler eintragen
;FFF4H - JMP SARUF 
;FFF1H - JMP LORUF 
;FFC7H - JMP BLMK 
;FFC4H - JMP BSMK 
;FFC1H - JMP SUCHK 
		ld	a,0c3h
		ld	hl,   0BC00h
		ld	(0FFF1H), A ;	JMP LORUF 
		ld	 (0FFF2H), hl
		ld	hl,   0BC0Ch
		ld	(0FFC7H), A ;	JMP BLMK 
		ld	 (0FFC8H), hl
		ld	hl,   0BC12h
		ld	(0FFC1H), A ;	JMP SUCHK 
		ld	 (0FFC2H), hl

		; Meldung
		RPRST
		db	"Z1013 MEGA-ROM-Modul ",VERSIONSDATUM
		db	8dh
		; Start
		jp	0bc1bh
		
		
hd_start:	equ	$
	binclude	"system\hd_mega3.bin"
hd_ende:	equ	$
        
        	
        
        end

